Bug Hunting Session
Bug 97915 - FILEOPEN: LibO Calc 5.1.x doesn't open ODS files created with 5.0.4 (with openCL)
Summary: FILEOPEN: LibO Calc 5.1.x doesn't open ODS files created with 5.0.4 (with ope...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.1.0.3 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Tomaz Vajngerl
URL:
Whiteboard: target:5.2.0 target:5.1.4
Keywords:
Depends on:
Blocks: OpenCL
  Show dependency treegraph
 
Reported: 2016-02-16 19:41 UTC by Edgar Steimel
Modified: 2016-10-25 19:02 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
ODS spreadsheet (29.32 KB, application/vnd.oasis.opendocument.spreadsheet)
2016-02-17 08:24 UTC, Edgar Steimel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Edgar Steimel 2016-02-16 19:41:10 UTC
I created some calc ods files with LibreOffice Version 5.04. After Update to 5.103 these files won't open. LibreOffice crashes and restarts. The window to recreate the file appears but does not show the file. In Windows Explorer the file is shown as in use. I tested also LibreOffice 5.111 but the bug is still there. Deleted newer Versions of LibreOffice and installed the last stable Version 5.05. This works fine. If needed I can upload the ODS files.
Comment 1 Maxim Monastirsky 2016-02-16 20:48:23 UTC
(In reply to Edgar Steimel from comment #0)
> If needed I can upload the ODS files.
Yes, please upload the file. Thanks.
Comment 2 Joel Madero 2016-02-17 05:29:56 UTC
Marking as NEEDINFO - once you attach a file mark as UNCONFIRMED. Thanks
Comment 3 Edgar Steimel 2016-02-17 08:24:43 UTC
Created attachment 122715 [details]
ODS spreadsheet

ODS file attached, please check it for the bug
Comment 4 Buovjaga 2016-02-17 13:41:06 UTC
(In reply to Edgar Steimel from comment #3)
> Created attachment 122715 [details]
> ODS spreadsheet
> 
> ODS file attached, please check it for the bug

Opens just fine here.

In a weird time like this: https://wiki.documentfoundation.org/UserProfile#Resolving_corruption_in_the_user_profile

Win 7 Pro 64-bit, Version: 5.1.0.3 (x64)
Build ID: 5e3e00a007d9b3b6efb6797a8b8e57b51ab1f737
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
Locale: fi-FI (fi_FI)

Version: 5.2.0.0.alpha0+
Build ID: a6f876d45bd4e41a7143594a6cb11b6893a0f620
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-02-11_00:07:38
Locale: fi-FI (fi_FI)
Comment 5 Edgar Steimel 2016-02-17 18:08:48 UTC
(In reply to Beluga from comment #4)
> (In reply to Edgar Steimel from comment #3)
> > Created attachment 122715 [details]
> > ODS spreadsheet
> > 
> > ODS file attached, please check it for the bug
> 
> Opens just fine here.
> 
> In a weird time like this:
> https://wiki.documentfoundation.org/
> UserProfile#Resolving_corruption_in_the_user_profile
> 
> Win 7 Pro 64-bit, Version: 5.1.0.3 (x64)
> Build ID: 5e3e00a007d9b3b6efb6797a8b8e57b51ab1f737
> CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
> Locale: fi-FI (fi_FI)
> 
> Version: 5.2.0.0.alpha0+
> Build ID: a6f876d45bd4e41a7143594a6cb11b6893a0f620
> CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
> TinderBox: Win-x86@39, Branch:master, Time: 2016-02-11_00:07:38
> Locale: fi-FI (fi_FI)

Thank you for trying to help me. I did all suggested steps in the link (even renamed Appdata-Roaming-Libreoffice)but without success. I can't open the file in Libreoffice 5.103/5.111. Any other suggestions?
Comment 6 Edgar Steimel 2016-02-17 18:15:52 UTC
By the way, I use the 64bit version. Maybe this is important.
System: Windows 8.1 64bit, Intel Core i7-3630QM, 16 GB Ram, SSD/HDD.
Comment 7 Edgar Steimel 2016-02-17 19:29:35 UTC
I just tested the portable version of LibreOffice 5.103. Strangely it opens the file OK. This could help to find the bug.
Comment 8 tommy27 2016-02-18 06:09:55 UTC
is the portable version a 64bit or a 32bit release?

did you try installing the 32bit 5.1.0.3 version to see if it works?
Comment 9 Buovjaga 2016-02-18 08:48:09 UTC
One more weird possibility: the effect of the option Tools - Options - LibO - View - Use OpenGL for all rendering ?
Comment 10 Edgar Steimel 2016-02-18 10:36:17 UTC
I uninstalled LibreOffice 5.05 x64 (which works)and installed 5.10 x86. In this version my calc file opens also fine. The portable version I tried before seems also to be a x86 version (it says nothing about that - if it was x64 it should say, I think).
So maybe the bug has to do with the programm LibreOffice 5.1x being a x64 version.
Some othe suggestions what I could do?
Comment 11 Buovjaga 2016-02-18 11:07:09 UTC
(In reply to Edgar Steimel from comment #10)
> I uninstalled LibreOffice 5.05 x64 (which works)and installed 5.10 x86. In
> this version my calc file opens also fine. The portable version I tried
> before seems also to be a x86 version (it says nothing about that - if it
> was x64 it should say, I think).
> So maybe the bug has to do with the programm LibreOffice 5.1x being a x64
> version.
> Some othe suggestions what I could do?

Well, my suggestion in comment 9.

I was using a 64-bit version and no problem with your file. I have, however, OpenGL disabled while we don't know your setting.
Comment 12 Edgar Steimel 2016-02-18 14:40:54 UTC
OK, I once again deinstalled version 5.1 x86 and installed version 5.1 x64. 

First I tried again to open my file. This time I get a little window with an error message:
LibreOffice 5.1 Fatal Error
Unknown SEH Exception - OK

Does that tell anybody anything?

LibreOffice is closed, but Windows Explorer shows the file as in use. Deleted this entry.

Next test: Restart LibreOffice, uncheck both options under Extras-Optionen-LibreOffice-Open CL (in German version it says "CL", not "GL". Restarted.
Oh wonder: my file opens!

Maybe the programmers should add a warning that some files won't open if those options are checked. Or can this behavior of LibreOffice be corrected?

Now, would you recommend to use the x86 version on my 64bit system or to use the x64 version with the unchecked options?

Anyway thanks for the help.
Comment 13 Buovjaga 2016-02-18 15:15:44 UTC
(In reply to Edgar Steimel from comment #12)
> Next test: Restart LibreOffice, uncheck both options under
> Extras-Optionen-LibreOffice-Open CL (in German version it says "CL", not
> "GL". Restarted.
> Oh wonder: my file opens!
> 
> Maybe the programmers should add a warning that some files won't open if
> those options are checked. Or can this behavior of LibreOffice be corrected?
> 
> Now, would you recommend to use the x86 version on my 64bit system or to use
> the x64 version with the unchecked options?
> 
> Anyway thanks for the help.

Haha, wow, you got lucky :D Actually, OpenCL is completely different from OpenGL. But OpenCL *is* used in Calc!

You can continue using the 64-bit version with the option unchecked.

If you have the energy to investigate further, turn the OpenCL option back on and then try to get a backtrace of the crash: https://wiki.documentfoundation.org/How_to_get_a_backtrace_with_WinDbg
So you would first open LibreOffice, then open WinDbg 64-bit edition and attach it to soffice.bin and THEN try to open the Calc file that crashes.

Let's leave this open and others can test. (I have OpenCL enabled and it works OK)
Comment 14 Edgar Steimel 2016-02-19 08:59:12 UTC
> If you have the energy to investigate further, turn the OpenCL option back
> on and then try to get a backtrace of the crash:
> https://wiki.documentfoundation.org/How_to_get_a_backtrace_with_WinDbg
> So you would first open LibreOffice, then open WinDbg 64-bit edition and
> attach it to soffice.bin and THEN try to open the Calc file that crashes.
> 
> Let's leave this open and others can test. (I have OpenCL enabled and it
> works OK)

I did what you proposed. I entered the line from the link
CACHE*C:\symbols;SRV*http://dev-downloads.libreoffice.org/symstore/symbols;SRV*http://msdl.microsoft.com/download/symbols
in WinDbg (x64).
Started WinDbg, started LibreOffice, tried to open the file and
LibreOffice hangs. It can not be closed, even with TaskManager.
This is the report in WinDbg:

ModLoad: 00007ffa`fe2c0000 00007ffa`fe2e0000   D:\Programme\LibreOffice 5\program\storagefdlo.dll
ModLoad: 00007ffa`e54e0000 00007ffa`e6c11000   D:\Programme\LibreOffice 5\program\sclo.dll
ModLoad: 00007ffa`f6d00000 00007ffa`f6d5a000   D:\Programme\LibreOffice 5\program\orcus-parser.dll
ModLoad: 00007ffa`f3930000 00007ffa`f3985000   D:\Programme\LibreOffice 5\program\forlo.dll
ModLoad: 00007ffa`f2ad0000 00007ffa`f2b3a000   D:\Programme\LibreOffice 5\program\foruilo.dll
(8708.830c): C++ EH exception - code e06d7363 (first chance)
ModLoad: 00007ffa`f2a70000 00007ffa`f2ac4000   D:\Programme\LibreOffice 5\program\reflectionlo.dll
ModLoad: 00007ffb`09430000 00007ffb`09445000   C:\Windows\system32\napinsp.dll
ModLoad: 00007ffb`09360000 00007ffb`0937a000   C:\Windows\system32\pnrpnsp.dll
ModLoad: 00007ffb`12c40000 00007ffb`12c5b000   C:\Windows\system32\NLAapi.dll
ModLoad: 00007ffb`16fa0000 00007ffb`16ff9000   C:\Windows\System32\mswsock.dll
ModLoad: 00007ffb`16da0000 00007ffb`16e44000   C:\Windows\SYSTEM32\DNSAPI.dll
ModLoad: 00007ffb`09660000 00007ffb`0966d000   C:\Windows\System32\winrnr.dll
ModLoad: 00007ffb`09250000 00007ffb`09264000   C:\Windows\system32\wshbth.dll
ModLoad: 00007ffb`08fa0000 00007ffb`08faa000   C:\Windows\System32\rasadhlp.dll
ModLoad: 00007ffb`12100000 00007ffb`1212a000   C:\Windows\SYSTEM32\IPHLPAPI.DLL
ModLoad: 00007ffb`12080000 00007ffb`1208a000   C:\Windows\SYSTEM32\WINNSI.DLL
ModLoad: 00007ffb`11eb0000 00007ffb`11f1b000   C:\Windows\System32\fwpuclnt.dll
ModLoad: 00007ffb`12f50000 00007ffb`12f82000   C:\Windows\SYSTEM32\ntmarta.dll
ModLoad: 00007ffa`f2a00000 00007ffa`f2a6b000   D:\Programme\LibreOffice 5\program\unordflo.dll
ModLoad: 00007ffa`f7cd0000 00007ffa`f7d0b000   D:\Programme\LibreOffice 5\program\raptor2.dll
ModLoad: 00007ffa`f8c00000 00007ffa`f8c2d000   D:\Programme\LibreOffice 5\program\librdf.dll
ModLoad: 00007ffa`f29a0000 00007ffa`f2a00000   D:\Programme\LibreOffice 5\program\rasqal.dll
ModLoad: 00007ffa`ec9f0000 00007ffa`eca7d000   D:\Programme\LibreOffice 5\program\analysislo.dll
ModLoad: 00007ffa`e5480000 00007ffa`e54dd000   D:\Programme\LibreOffice 5\program\introspectionlo.dll
ModLoad: 00007ffa`f7960000 00007ffa`f7986000   D:\Programme\LibreOffice 5\program\datelo.dll
ModLoad: 00007ffa`f3470000 00007ffa`f349a000   D:\Programme\LibreOffice 5\program\pricinglo.dll
(8708.830c): C++ EH exception - code e06d7363 (first chance)
(8708.830c): C++ EH exception - code e06d7363 (first chance)
ModLoad: 00000000`58670000 00000000`5869d000   C:\Windows\system32\spool\DRIVERS\x64\3\BRPRIB0I.DLL
ModLoad: 00000000`58650000 00000000`5866e000   C:\Windows\system32\spool\DRIVERS\x64\3\BRRIIB0I.DLL
ModLoad: 00000000`58630000 00000000`5864b000   C:\Windows\system32\spool\DRIVERS\x64\3\BRDSMB00.DLL
ModLoad: 00000000`522a0000 00000000`52553000   C:\Windows\system32\spool\DRIVERS\x64\3\BRENIB0I.DLL
ModLoad: 00000000`52140000 00000000`52292000   C:\Windows\system32\spool\DRIVERS\x64\3\BRUIIB0I.DLL
ModLoad: 00007ffb`06f20000 00007ffb`06f36000   C:\Windows\SYSTEM32\SPOOLSS.DLL
ModLoad: 00007ffb`12c60000 00007ffb`12c80000   C:\Windows\SYSTEM32\ATL.DLL
ModLoad: 00000000`58610000 00000000`5862c000   C:\Windows\system32\spool\DRIVERS\x64\3\BRLGIB0I_0007.DLL
ModLoad: 00007ffb`17550000 00007ffb`1757e000   C:\Windows\SYSTEM32\SspiCli.dll
ModLoad: 00007ffa`e5450000 00007ffa`e5479000   D:\Programme\LibreOffice 5\program\localedata_es.dll
ModLoad: 00007ffa`e52b0000 00007ffa`e5444000   D:\Programme\LibreOffice 5\program\localedata_others.dll
ModLoad: 00007ffa`fb190000 00007ffa`fb1a5000   C:\Windows\SYSTEM32\OpenCL.dll
ModLoad: 00007ffa`e5240000 00007ffa`e52a2000   C:\Windows\SYSTEM32\IntelOpenCL64.dll
ModLoad: 00007ffa`e5140000 00007ffa`e523d000   C:\Program Files (x86)\Common Files\Intel\OpenCL\bin\x64\intelocl64.dll
ModLoad: 00007ffa`e50c0000 00007ffa`e5136000   C:\Program Files (x86)\Common Files\Intel\OpenCL\bin\x64\task_executor64.dll
ModLoad: 00007ffa`e5020000 00007ffa`e50b5000   C:\Program Files (x86)\Common Files\Intel\OpenCL\bin\x64\cpu_device64.dll
ModLoad: 00007ffa`e4fb0000 00007ffa`e5019000   C:\Program Files (x86)\Common Files\Intel\OpenCL\bin\x64\tbb\tbb.dll
ModLoad: 00007ffa`e4db0000 00007ffa`e4fa4000   C:\Windows\SYSTEM32\igdrcl64.dll
ModLoad: 00007ffa`e02e0000 00007ffa`e18c2000   C:\Windows\SYSTEM32\igdfcl64.dll
ModLoad: 00007ffb`10670000 00007ffb`107f9000   C:\Windows\SYSTEM32\dbghelp.dll
ModLoad: 00007ffa`e4d50000 00007ffa`e4daf000   C:\Windows\SYSTEM32\igdbcl64.dll
ModLoad: 00007ffa`dee90000 00007ffa`e02de000   C:\Windows\System32\nvopencl.dll
ModLoad: 00007ffa`f6870000 00007ffa`f6c1d000   C:\Windows\system32\nvapi64.dll
(8708.830c): Access violation - code c0000005 (first chance)
First chance exceptions are reported before any exception handling.
This exception may be expected and handled.
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for C:\Windows\System32\nvopencl.dll - 
00000000`00000000 ??              ???

It seems that I have the wrong symbol file?
Please help.
Comment 15 Buovjaga 2016-02-19 09:26:29 UTC
Aha, so did you give the command !analyze -v after the 00000000`00000000 ??              ???
Comment 16 Edgar Steimel 2016-02-19 09:35:48 UTC
(In reply to Beluga from comment #15)
> Aha, so did you give the command !analyze -v after the 00000000`00000000 ?? 
> ???

Result:

0:000> !analyze -v
*******************************************************************************
*                                                                             *
*                        Exception Analysis                                   *
*                                                                             *
*******************************************************************************

*** ERROR: Symbol file could not be found.  Defaulted to export symbols for C:\Windows\SYSTEM32\OpenCL.dll -
Comment 17 Buovjaga 2016-02-19 13:22:31 UTC
All right, I was told by a Calc developer that nothing can be done to debug this further. Maybe some developer could remotely enter your desktop and debug, but it won't be solved using Bugzilla comments..
Comment 18 Jan Holesovsky 2016-03-24 14:50:36 UTC
Edgar: Sorry for the trouble :-(  Can you please give us content of this file:

C:\Users\User\AppData\Roaming\LibreOffice\4\cache\sc_opencl_device_profile.dat

We will add the problematic driver to a blacklist.
Comment 19 Edgar Steimel 2016-03-25 10:09:38 UTC
(In reply to Jan Holesovsky from comment #18)
> Edgar: Sorry for the trouble :-(  Can you please give us content of this
> file:
> 
> C:\Users\User\AppData\Roaming\LibreOffice\4\cache\sc_opencl_device_profile.
> dat
> 
> We will add the problematic driver to a blacklist.

Hi, 
thank you for picking this issue up aagain.

Here is the content of the file:

<version>LibreOffice v0.1</version>
<device><type>   </type><name>      Intel(R) Core(TM) i7-3630QM CPU @ 2.40GHz</name><driver>3.0.1.10891</driver><score>±UP·å¡¶?±¯pƯ</score></device>
<device><type>   </type><name>Intel(R) HD Graphics 4000</name><driver>10.18.10.4276</driver><score>ÿÿÿÿÿÿï       </score></device>
<device><type>   </type><name>GeForce GT 650M</name><driver>361.75</driver><score>64JÎÆ?       </score></device>
<device><type>    </type><score>W0&kÄš	@       </score></device>


Edgar
Comment 20 Commit Notification 2016-04-22 10:56:57 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cb5438a3d16634eb267584122169758ab2b76930

tdf#97915: add Intel driver 3.0.1.10891 to blacklist

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 21 Commit Notification 2016-04-22 13:24:31 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=91e73f12fec47c8896122cfe72eb374bd283a132&h=libreoffice-5-1

tdf#97915: add Intel driver 3.0.1.10891 to blacklist

It will be available in 5.1.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.